Index: trunk/SophyaPI/PIext/Makefile
===================================================================
--- trunk/SophyaPI/PIext/Makefile	(revision 2930)
+++ trunk/SophyaPI/PIext/Makefile	(revision 2933)
@@ -1761,11 +1489,11 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)hisprof.h
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h $(SOPHYAINCP)hisprof.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pihisto.cc
  
-$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc \
+$(SOPHYAOBJP)pihisto2d.o: pihisto2d.cc $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1773,6 +1501,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1785,6 +1512,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1801,30 +1527,24 @@
   $(SOPHYAINCP)pioptmenux.h \
   $(SOPHYAINCP)pioptmenugen.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)piscdrawwdg.h \
   $(SOPHYAINCP)piwindowx.h \
@@ -1836,5 +1556,6 @@
  
 $(SOPHYAOBJP)piinit.o: piinit.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h piinit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h piinit.h \
   $(SOPHYAINCP)sambainit.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -1848,6 +1569,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1860,6 +1580,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1882,15 +1601,12 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1901,11 +1617,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1913,36 +1626,30 @@
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h servnobjm.h \
-  nomhistadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h servnobjm.h nomhistadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h nomgfdadapter.h \
   nomimagadapter.h $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h \
-  nomtarradapter.h $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)fioarr.h nomtmatvecadapter.h nomtarradapter.h \
+  $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
-  $(SOPHYAINCP)ppftpointerio.h \
-  nomskymapadapter.h $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppftpointerio.h nomskymapadapter.h \
+  $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -1959,21 +1666,18 @@
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)specresp.h \
-  $(SOPHYAINCP)gaussfilt.h \
-  nomspecrespadapter.h
+  $(SOPHYAINCP)gaussfilt.h nomspecrespadapter.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piinit.cc
  
-$(SOPHYAOBJP)pintup3d.o: pintup3d.cc \
-  $(SOPHYAINCP)sopnamsp.h pintup3d.h \
+$(SOPHYAOBJP)pintup3d.o: pintup3d.cc $(SOPHYAINCP)sopnamsp.h pintup3d.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -1986,23 +1690,19 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pigraph3d.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pintup3d.cc
  
-$(SOPHYAOBJP)pintuple.o: pintuple.cc \
-  $(SOPHYAINCP)sopnamsp.h pintuple.h \
+$(SOPHYAOBJP)pintuple.o: pintuple.cc $(SOPHYAINCP)sopnamsp.h pintuple.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -2015,19 +1715,17 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pintuple.cc
  
-$(SOPHYAOBJP)pipodrw.o: pipodrw.cc $(SOPHYAINCP)sopnamsp.h \
-  pipodrw.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+$(SOPHYAOBJP)pipodrw.o: pipodrw.cc $(SOPHYAINCP)sopnamsp.h pipodrw.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -2040,44 +1738,36 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generalfit.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pipodrw.cc
+ 
+$(SOPHYAOBJP)pisiadw.o: pisiadw.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h \
-  $(SOPHYAINCP)poly.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pipodrw.cc
- 
-$(SOPHYAOBJP)pisiadw.o: pisiadw.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -2087,6 +1777,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -2099,6 +1788,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -2121,30 +1809,23 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  piacmd.h $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)ppersist.h $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -2153,22 +1834,16 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pisiadw.cc
  
-$(SOPHYAOBJP)pistdimgapp.o: pistdimgapp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)strutil.h \
-  $(SOPHYAINCP)timing.h \
+$(SOPHYAOBJP)pistdimgapp.o: pistdimgapp.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)strutil.h $(SOPHYAINCP)timing.h \
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)psighand.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)psighand.h \
+  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
   $(SOPHYAINCP)ppfbinstream.h \
@@ -2178,6 +1853,7 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h pistdimgapp.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)fioarr.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2186,6 +1862,5 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -2198,6 +1873,5 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -2220,21 +1894,16 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
-  dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h \
-  $(SOPHYAINCP)zthread.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
@@ -2253,16 +1922,31 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pistdimgapp.cc
  
-$(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc \
-  $(SOPHYAINCP)sopnamsp.h pitvmaad.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
+$(SOPHYAOBJP)pitvmaad.o: pitvmaad.cc $(SOPHYAINCP)sopnamsp.h pitvmaad.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)tmatrix.h $(SOPHYAINCP)tarray.h \
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h
+	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitvmaad.cc
+ 
+$(SOPHYAOBJP)servnobjm.o: servnobjm.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)osx_values.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -2271,35 +1955,14 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)tvector.h
-	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitvmaad.cc
- 
-$(SOPHYAOBJP)servnobjm.o: servnobjm.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h nobjmgr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h dlftypes.h \
-  servnobjm.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h \
-  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
   $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h \
-  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
   $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
@@ -2312,22 +1975,18 @@
   $(SOPHYAINCP)pigraphuc.h \
   $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h \
-  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
   $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h \
-  $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pistdimgapp.h \
   $(SOPHYAINCP)piapplx.h \
@@ -2352,11 +2011,9 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h \
-  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h piacmd.h \
   $(SOPHYAINCP)commander.h \
@@ -2368,17 +2025,14 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)fct1dfit.h \
-  $(SOPHYAINCP)fct2dfit.h pitvmaad.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)cimage.h \
-  $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h \
-  $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)fct2dfit.h \
+  $(SOPHYAINCP)matharr.h pitvmaad.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)piyfxdrw.h \
-  $(SOPHYAINCP)pisurfdr.h pintuple.h \
-  pintup3d.h pipodrw.h
+  $(SOPHYAINCP)pisurfdr.h pintuple.h pintup3d.h pipodrw.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  servnobjm.cc
  
Index: trunk/SophyaPI/PIext/basexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/basexecut.cc	(revision 2930)
+++ trunk/SophyaPI/PIext/basexecut.cc	(revision 2933)
@@ -127,13 +127,4 @@
 }
 
-// >>>>>>>>>>> lecture/ecriture des objets, gestion des objets 
-else if (kw == "openfits" ) {
-  if (tokens.size() < 1) { cout << "Usage: openfits file " << endl;  return(0); }
-  else { string nomobj = "";  mObjMgr->ReadFits(tokens[0], nomobj); }
-}
-else if (kw == "savefits" ) {
-  if (tokens.size() < 2) { cout << "Usage: savefits nameobj filename " << endl;  return(0); }
-  else mObjMgr->SaveFits(tokens[0], tokens[1]);
-}
 else if (kw == "openppf" ) {
   if (tokens.size()<1) {cout<<"Usage: openppf file [objname1 objname2 ...]"<<endl; return(0); }
@@ -903,16 +894,7 @@
 mpiac->RegisterCommand(kw, usage, this, grp);
 
-//------- Commandes FileIO
-kw = "openfits";
-usage = "Loads a FITS file into an appropriate object \n Usage: openfits filename";
-usage += "\n  Related commands: savefits openppf";  
-mpiac->RegisterCommand(kw, usage, this, "FileIO");
-kw = "savefits";
-usage = "Save an object into a FITS file \n Usage: savefits nameobj filename";
-usage += "\n  Related commands: openfits saveobjs saveall";  
-mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "openppf";
 usage = "Reads all or some objects from a PPF file \n Usage: openppf filename [objname1 objname2 ...]";
-usage += "\n  Related commands: saveall openfits";  
+usage += "\n  Related commands: saveall ";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "saveppf";
@@ -920,5 +902,5 @@
 usage += "  PPF file (pattern: x?y*) - Alias saveppf\n";
 usage += "Usage: saveppf nameobjpattern filename";
-usage += "\n  Related commands: saveobjs savelist saveall openppf savefits";  
+usage += "\n  Related commands: saveobjs savelist saveall openppf";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "saveobjs";
@@ -926,14 +908,14 @@
 usage += "  PPF file (pattern: x?y*) - Alias saveppf\n";
 usage += "Usage: saveobjs nameobjpattern filename";
-usage += "\n  Related commands: saveppf savelist saveall openppf savefits";  
+usage += "\n  Related commands: saveppf savelist saveall openppf ";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "saveall";
 usage = "Saves all objects into a PPF file \n Usage: saveall filename";
-usage += "\n  Related commands: saveobj savelist openppf savefits";  
+usage += "\n  Related commands: saveobj savelist openppf";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "savelist";
 usage = "Saves a list of objects into a PPF file";
 usage = "\n Usage: savelist objname1 [objname2 ...] filename";
-usage += "\n  Related commands: saveobj openppf savefits";  
+usage += "\n  Related commands: saveobj openppf";  
 mpiac->RegisterCommand(kw, usage, this, "FileIO");
 kw = "ntfrascii";
Index: trunk/SophyaPI/PIext/nobjmgr.cc
===================================================================
--- trunk/SophyaPI/PIext/nobjmgr.cc	(revision 2930)
+++ trunk/SophyaPI/PIext/nobjmgr.cc	(revision 2933)
@@ -24,5 +24,4 @@
 #include "fitsimage.h"  
 #else
-#include "fitsautoreader.h"
 #include "tvector.h"
 #include "pitvmaad.h"
@@ -1113,63 +1112,4 @@
 }
 
-/* --Methode-- */
-void NamedObjMgr::ReadFits(string const & flnm, string & nobj)
-{
-ZSync zs(*myMutex); zs.NOp(); 
-#ifdef SANS_EVOLPLANCK 
-bool ok = false;
-RzImage* obj=NULL;
-TRY{
-  obj = RzReadFits((char*)flnm.c_str());
-  if (obj == NULL)   ok = false;
-  else ok = true;
-}  CATCH(merr) { 
-  printf("NamedObjMgr::ReadFITS(_Error Exception= %ld (%s) \n", (long)merr, PeidaExc(merr)); 
-  ok = false; 
-} ENDTRY;
-
-if (ok && (obj != NULL)) { 
-  if (nobj.length()<1)  nobj = servnobjm->FileName2Name(flnm);
-  AddObj_P((AnyDataObj*)obj, nobj);
-}
-#else
- try {
-   FITS_AutoReader fiar(flnm);
-   char bun[16];
-   int nhdu = fiar.NbBlocks();
-   if (nobj.length()<1)  nobj = servnobjm->FileName2Name(flnm);
-   string name;
-   AnyDataObj* obj;
-   int kon = 1;
-   for(int k=1; k<=nhdu; k++) {
-     obj = fiar.ReadObject(k);
-     if (obj) {
-       cout << " NamedObjMgr::ReadFits() " << (string)typeid(*obj).name()
-	    << "  read From HDU " << k << endl;
-       if (typeid(*obj) == typeid(DVList)) {
-	 delete obj;
-	 continue;
-       }
-       if (kon > 1) { 
-	 sprintf(bun, "%d", kon);
-	 name = nobj + bun;
-       }
-       else name = nobj;
-       AddObj_P(obj, name, false);
-       kon++;
-     }
-     else cerr << " NamedObjMgr::ReadFits()  NULL pointer from FITS_AutoReader" << endl;
-   }
- }
- catch(PThrowable & exc) {
-   cerr << " NamedObjMgr::ReadFits() / Error - Catched Exception \n " 
-	<< "    Type= " << (string)typeid(exc).name()
-	<< " - Msg= " << exc.Msg() << endl;
-
-   }
-#endif
-
-return;
-}
 
 /* --Methode-- */
@@ -1305,17 +1245,4 @@
 }
 
-/* --Methode-- */
-void NamedObjMgr::SaveFits(string& nom, string const & flnm)
-{
-ZSync zs(*myMutex); zs.NOp(); 
-
-NObjMgrAdapter* obja=NULL;
-obja = GetObjAdapter_P(nom);
-if (obja == NULL)  return;
-cout << "  SaveFits: Object" << nom << " to FITS file " << flnm << endl; 
-obja->SaveFits(flnm);
-return;
-}
-
 
 
Index: trunk/SophyaPI/PIext/nobjmgr.h
===================================================================
--- trunk/SophyaPI/PIext/nobjmgr.h	(revision 2930)
+++ trunk/SophyaPI/PIext/nobjmgr.h	(revision 2933)
@@ -72,10 +72,8 @@
   virtual void          ReadObj(vector<string> & flnm_objname);
   virtual void		ReadAll(string const & nomppf);
-  virtual void		ReadFits(string const & flnm, string & nobj);
   virtual void          SaveObj(string & nom, POutPersist& s, bool keeppath=false);
   virtual void          SaveObjects(string & patt, string const& nomppf);
   virtual void          SaveListObjects(vector<string> &liste);
   virtual void          SaveAll(string const& nomppf);
-  virtual void          SaveFits(string & nom, string const & flnm);
 
 // Info sur les objets 
Index: trunk/SophyaPI/PIext/nomgadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomgadapter.cc	(revision 2930)
+++ trunk/SophyaPI/PIext/nomgadapter.cc	(revision 2933)
@@ -77,17 +77,4 @@
 }
 
-/* --Methode-- */
-void NObjMgrAdapter::ReadFits(string const & )
-{
-string s = typeid(*mObj).name();
-cout << "NObjMgrAdapter::ReadFits() - Error : Not supported for " << s << endl;
-}
-
-/* --Methode-- */
-void NObjMgrAdapter::SaveFits(string const & )
-{
-string s = typeid(*mObj).name();
-cout << "NObjMgrAdapter::SaveFits() - Error : Not supported for " << s << endl;
-}
 
 /* --Methode-- */
Index: trunk/SophyaPI/PIext/nomgadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nomgadapter.h	(revision 2930)
+++ trunk/SophyaPI/PIext/nomgadapter.h	(revision 2933)
@@ -46,6 +46,4 @@
   virtual string                GetInfoString(int lev=0);
 
-  virtual void			ReadFits(string const & flnm);
-  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
Index: trunk/SophyaPI/PIext/nomhistadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 2930)
+++ trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 2933)
@@ -14,6 +14,4 @@
 #ifndef SANS_EVOLPLANCK
 #include "objfitter.h"
-#include "fitsntuple.h"
-#include "fitsxntuple.h"
 // Pour les DataTable ( Depuis Avril 2005 )
 #include "datatable.h"
@@ -451,26 +449,4 @@
 }
 
-/* --Methode-- */
-void NOMAdapter_NTuple::ReadFits(string const & flnm)
-{
-#ifdef SANS_EVOLPLANCK
-  cerr << " NOMAdapter_NTuple::ReadFits() Non disponible !! " << endl;
-#else
-  FitsInFile fis(flnm);
-  fis >> (*mNt);
-#endif
-}
-
-/* --Methode-- */
-void NOMAdapter_NTuple::SaveFits(string const & flnm)
-{
-#ifdef SANS_EVOLPLANCK
-  cerr << " NOMAdapter_NTuple::SaveFits() Non disponible !! " << endl;
-#else
-  FitsOutFile fos(flnm);
-  fos << (*mNt);
-
-#endif
-}
 
 
@@ -538,27 +514,4 @@
 {
 return ( new XNTuple(*mNt) );
-}
-
-/* --Methode-- */
-void NOMAdapter_XNTuple::ReadFits(string const & flnm)
-{
-#ifdef SANS_EVOLPLANCK
-  cerr << " NOMAdapter_XNTuple::ReadFits() Non disponible !! " << endl;
-#else
-  FitsInFile fis(flnm);
-  fis >> (*mNt);
-#endif
-}
-
-/* --Methode-- */
-void NOMAdapter_XNTuple::SaveFits(string const & flnm)
-{
-#ifdef SANS_EVOLPLANCK
-  cerr << " NOMAdapter_XNTuple::SaveFits() Non disponible !! " << endl;
-#else
-  FitsOutFile fos(flnm);
-  fos << (*mNt);
-
-#endif
 }
 
@@ -640,15 +593,4 @@
 }
 
-/* --Methode-- */
-void NOMAdapter_DataTable::ReadFits(string const & flnm)
-{
-  cerr << " NOMAdapter_DataTable::ReadFits() A FAIRE - Reza, Avril 2005 !! " << endl;
-}
-
-/* --Methode-- */
-void NOMAdapter_DataTable::SaveFits(string const & flnm)
-{
-  cerr << " NOMAdapter_DataTable::SaveFits() A FAIRE - Reza, Avril 2005 !! " << endl;
-}
 
 /* --Methode-- */
